# NOTE: for versions >= 6 (for python 3.5+) see python3-libvirt.spec
#
# Conditional build:
%bcond_without	lxc		# LXC support
%bcond_without	qemu		# Qemu support
%bcond_without	python2		# CPython 2.x module
%bcond_with	python3		# CPython 3.x module (built from python3-libvirt.spec)

# qemu available only on x86 and ppc
%ifnarch %{ix86} %{x8664} x32 ppc
%undefine	with_qemu
%endif

%define		origname	libvirt-python
Summary:	Python 2.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 2.x do współpracy z funkcjami wirtualizacji
Name:		python-libvirt
# keep 5.x here for python2 support
Version:	5.10.0
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	https://libvirt.org/sources/python/%{origname}-%{version}.tar.gz
# Source0-md5:	045c8b45a1aed0725d874ce072027570
URL:		https://libvirt.org/
BuildRequires:	libvirt-devel >= 5.10.0
BuildRequires:	pkgconfig
%if %{with python2}
BuildRequires:	python >= 1:2.5
BuildRequires:	python-devel >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildConflicts:	python-PyXML < 0.8.4-13
Requires:	libvirt >= 5.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 2.x bindings for the libvirt library.

%description -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 2.x do biblioteki libvirt.

%package -n python3-libvirt
Summary:	Python 3.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 3.x do współpracy z funkcjami wirtualizacji
Group:		Development/Languages/Python
Requires:	libvirt >= 5.10.0

%description -n python3-libvirt
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 3.x bindings for the libvirt library.

%description -n python3-libvirt -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 3.x do biblioteki libvirt.

%prep
%setup -q -n %{origname}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{py_sitedir}/libvirtmod.so
%{py_sitedir}/libvirt.py[co]
%if %{with lxc}
%attr(755,root,root) %{py_sitedir}/libvirtmod_lxc.so
%{py_sitedir}/libvirt_lxc.py[co]
%endif
%if %{with qemu}
%attr(755,root,root) %{py_sitedir}/libvirtmod_qemu.so
%{py_sitedir}/libvirt_qemu.py[co]
%endif
%{py_sitedir}/libvirt_python-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-libvirt
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{py3_sitedir}/libvirtmod.*.so
%{py3_sitedir}/libvirt.py
%{py3_sitedir}/__pycache__/libvirt.*.py[co]
%{py3_sitedir}/libvirtaio.py
%{py3_sitedir}/__pycache__/libvirtaio.*.py[co]
%if %{with lxc}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_lxc.*.so
%{py3_sitedir}/libvirt_lxc.py
%{py3_sitedir}/__pycache__/libvirt_lxc.*.py[co]
%endif
%if %{with qemu}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_qemu.*.so
%{py3_sitedir}/libvirt_qemu.py
%{py3_sitedir}/__pycache__/libvirt_qemu.*.py[co]
%endif
%{py3_sitedir}/libvirt_python-%{version}-py*.egg-info
%endif
%changelog
* Mon Oct 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-libvirt.git;a=log;h=master

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 1229575
- disable python3 here

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 756c07d
- updated to 5.10.0 (last version with python2 support)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 9a931e5
- rebuild with python 3.8
- release 2 (by relup.sh)

* Mon Aug 05 2019 Jan Palus <atler@pld-linux.org> ace7cbf
- up to 5.6.0

* Wed Jul 03 2019 Jan Palus <atler@pld-linux.org> 9af6b60
- up to 5.5.0

* Mon Jun 03 2019 Jan Palus <atler@pld-linux.org> 37d94a0
- up to 5.4.0

* Sun May 05 2019 Jan Palus <atler@pld-linux.org> d5c1f03
- up to 5.3.0

* Wed Apr 03 2019 Jan Palus <atler@pld-linux.org> cae95e6
- up to 5.2.0

* Thu Mar 07 2019 Jan Palus <atler@pld-linux.org> 312c4c2
- up to 5.1.0

* Wed Jan 16 2019 Jan Palus <atler@pld-linux.org> a3c07ba
- up to 5.0.0

* Mon Dec 03 2018 Jan Palus <atler@pld-linux.org> c04b408
- up to 4.10.0

* Sun Nov 04 2018 Jan Palus <atler@pld-linux.org> becf193
- up to 4.9.0

* Tue Oct 02 2018 Jan Palus <atler@pld-linux.org> e45a096
- up to 4.8.0

* Mon Sep 03 2018 Jan Palus <atler@pld-linux.org> 93db10f
- up to 4.7.0

* Tue Aug 07 2018 Jan Palus <atler@pld-linux.org> efccb31
- up to 4.6.0

* Tue Jul 03 2018 Jan Palus <atler@pld-linux.org> 2c6f7e8
- up to 4.5.0

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 976350b
- release 2 (by relup.sh)

* Tue Jun 05 2018 Jan Palus <atler@pld-linux.org> 2d326e6
- up to 4.4.0

* Wed May 02 2018 Jan Palus <atler@pld-linux.org> 7e7e752
- up to 4.3.0

* Thu Apr 05 2018 Jan Palus <atler@pld-linux.org> 1086b21
- up to 4.2.0

